2008-10-16 08:22  dupuy

	* .: svn:ignore of various links and directories for cleaner svn
	  status output

2008-10-16 07:57  friedelwolff

	* share/icons/virtaal.ico, share/icons/virtaal.png: New icons

2008-10-16 07:18  dupuy

	* po/es.po: add Julen (whose Spanish is much better than mine) to
	  user-visible credits

2008-10-16 07:09  dupuy

	* po/es.po: correct a few missing accents

2008-10-15 21:01  murgilduta

	* po/es.po: Corrections in the Spanish translation.

2008-10-15 20:55  dupuy

	* po/es.po: add my e-mail to credit

2008-10-15 17:04  dupuy

	* po/es.po: plausible Spanish translation; not fully tested

2008-10-15 09:45  walter_l

	* virtaal/mode_selector.py: Added mode_user_names dictionary
	  (similar to mode_names) to the ModeSelector class. This basically
	  changed the behavior of the select_mode_by_name() method to
	  search on a mode's mode_name and not
	  user_name.
	  
	  Before this change calling select_mode_by_name() with a
	  hard-coded mode_name would result in an
	  unknown mode if the mode_name and user_name is not the same (eg.
	  when translated).

2008-10-15 06:51  friedelwolff

	* po/nl.po: Updated Dutch (nl) translation

2008-10-15 05:57  friedelwolff

	* po/nl.po: New Dutch (nl) translation

2008-10-15 05:54  friedelwolff

	* po/af.po: Updated Afrikaans (af) translation

2008-10-15 05:38  friedelwolff

	* po/fr.po: New French (fr) translation

2008-10-14 16:43  murgilduta

	* po/eu.po: Update Basque translation to reflect changes from bug
	  559.

2008-10-14 15:57  friedelwolff

	* po/eu.po: Translation update from Julen Ruiz Aizpuru. See bug
	  547.

2008-10-14 15:17  walter_l

	* setup.py: Fixed installed location of generated .mo files.

2008-10-14 14:04  walter_l

	* virtaal/pan_app.py: Make sure that the configuration directory
	  exists when calculating its location.

2008-10-14 13:59  walter_l

	* virtaal/main_window.py: Refined the last commit to send both
	  stdout and stderr to config_dir/virtaal_log.txt

2008-10-14 13:54  walter_l

	* virtaal/main_window.py: Added handling of sys.stdout and
	  sys.stderr on windows systems to avoid error dialog.
	  
	  This fixes bug 543.

2008-10-14 13:52  walter_l

	* virtaal/pan_app.py: Changed configuration directory from
	  "~/.locamotion" to a more platform-appropriate
	  "~/.virtaal" (or "C:\Documents and Settings\User\Application
	  Data\Virtaal").
	  
	  This fixes bug 535.

2008-10-14 13:32  friedelwolff

	* po/virtaal.pot: New POT file with optparse strings added
	  (previously untranslatable). See bug 559. This also fixes a
	  string, so technically counts as a string freeze break.

2008-10-14 13:26  friedelwolff

	* bin/virtaal: Replace the gettext function optparse._() so that we
	  can use our domain to get the --help text translateable. This
	  closes bug 559.

2008-10-14 13:23  friedelwolff

	* virtaal/__version__.py: Version 0.2

2008-10-14 13:20  friedelwolff

	* po/testlocalisations: Enable more reliable fallback. Use the new
	  executable name

2008-10-14 13:17  friedelwolff

	* po/POTFILES.in, source_tree_infrastructure/optparse.py: Add an
	  internal copy of optparse to enable complete translation of
	  commandline options. This fixes bug 559.

2008-10-14 13:06  friedelwolff

	* po/eu.po: First Basque translation (see bug 547)

2008-10-14 13:04  friedelwolff

	* po/af.po: Updated translation for Afrikaans (af)

2008-10-14 12:59  friedelwolff

	* README, virtaal/README: Move README outside of the source
	  directory

2008-10-14 12:58  friedelwolff

	* README: Remove empty README file to prepare for file move from
	  virtaal/README

2008-10-13 16:22  friedelwolff

	* bin/virtaal: Enable psyco if it is available

2008-10-13 11:02  dwaynebailey

	* .: Ignore various files created by ./setup {build,sdist}

2008-10-13 08:47  walter_l

	* setup.py: Create .mo files for each of po/*.po, before being
	  added as data files.
	  
	  This fixes bug 544.

2008-10-09 14:12  walter_l

	* virtaal/store_grid.py: Whenever the unit grid (gtk.TreeView)
	  gains focus, the editable area is recreated
	  by UnitGrid.on_configure_event(). From a comment in the method:
	  "# Horrible hack."
	  Maybe so, but it works.
	  
	  This fixes bug 546.

2008-10-09 13:39  walter_l

	* virtaal/unit_layout.py: Added 2-pixel margins at the left and
	  right edges of all text views.

2008-10-09 09:24  friedelwolff

	* setup.py: Don't associate with .pot files on Windows so that we
	  don't highjack PowerPoint templates

2008-10-09 09:23  friedelwolff

	* setup.py: Some improvements to py2app options

2008-10-08 11:11  dwaynebailey

	* po/gtk20-lite.pot: Add two missing strings

2008-10-07 15:36  dupuy

	* .cvsignore: ignore generated files

2008-10-06 18:13  friedelwolff

	* bin/virtaal: Improve and clarify translatable strings

2008-10-04 13:14  friedelwolff

	* virtaal/pan_app.py: Install the gettext domain as unicode. This
	  fixes alignment problems with --help text on the command line

2008-10-03 23:01  friedelwolff

	* virtaal/formats.py: Translate the name retrieved from the storage
	  classes. This needs to be aligned with the
	  virtaal-mimetypes.xml.in file to have them translated.

2008-10-03 14:13  walter_l

	* setup.py: Minor fix in finding the path the the Gtk+ libraries on
	  Windows.

2008-10-03 11:47  walter_l

	* setup.py: Added "C:\Program Files\GTK2-Runtime", because that's
	  where the new Windows installer installs to.

2008-10-03 08:46  friedelwolff

	* setup.py: Skip associating with all .txt files on Windows, since
	  we can't rely on mime types or magic. This fixes bug 541.

2008-10-02 13:47  dwaynebailey

	* virtaal/main_window.py: Close dictionary

2008-10-02 13:38  friedelwolff

	* po/virtaal.pot: New POT file for version 0.2

2008-10-02 13:37  friedelwolff

	* virtaal/main_window.py: Rather use %(error_message)s than %s

2008-10-02 13:34  friedelwolff

	* virtaal/about.py: Translator comment about translator-credits

2008-10-02 13:32  walter_l

	* setup.py: Add po directory to dist tarballs, even though they
	  will not be installed.

2008-10-02 13:31  friedelwolff

	* virtaal/modes.py: Don't mark the empty string for translation -
	  this ends up as the header of the POT file.

2008-10-02 13:22  friedelwolff

	* po/POTFILES.in: Update to reflect new locations of .desktop.in
	  and -mimetype.xml.in files

2008-10-02 13:20  walter_l

	* setup.py: Fixed the program name in setup.py to be "virtaal", but
	  have Windows still use "Virtaal".

2008-10-02 13:20  walter_l

	* setup.py: Add LICENSES and maketranslations to dist tarballs,
	  although it will not be installed.

2008-10-02 13:19  walter_l

	* setup.py: Fix collection of MO files.

2008-10-02 13:18  walter_l

	* setup.py: Install MO files from the po/ directory to the correct
	  location.

2008-10-02 13:16  friedelwolff

	* virtaal/pan_app.py: Specify the default font size as 9, to avoid
	  issues with some pango classes thinking no size means 0. This is
	  ugly and needs to be improved in future.

2008-10-02 13:09  friedelwolff

	* share/virtaal/autocorr/acor_vi-VN.dat: Fix some XML problems in
	  the Vietnamese (vi-VN) file

2008-10-02 12:54  friedelwolff

	* share/applications/virtaal.desktop.in: Associate Virtaal with .ts
	  and .qph files

2008-10-02 12:48  friedelwolff

	* setup.py: Remove indents that were spacing descriptions in the
	  RPM incorrectly

2008-10-02 10:46  friedelwolff

	* virtaal/pan_app.py: Remove debugging

2008-10-02 10:43  friedelwolff

	* virtaal/about.py: Some rewordings of the program description.
	  Update the last bit of the GPL notice.

2008-10-02 10:33  friedelwolff

	* setup.py: Remove .desktop and -mimetype.xml files from the
	  generic datafiles section. Add icons to the datafiles.

2008-10-02 10:18  friedelwolff

	* share/icons/virtaal.png, share/virtaal/virtaal.png: Move the PNG
	  icon to icons/ as well

2008-10-02 09:30  friedelwolff

	* virtaal/about.py, virtaal/main_window.py: Adapt loading of data
	  files to new layouts and API

2008-10-02 09:26  friedelwolff

	* virtaal/pan_app.py: Adapt our datafile access to work with new
	  directories in share/

2008-10-02 09:25  friedelwolff

	* setup.py: Update setup script to new locations of comments

2008-10-02 09:05  friedelwolff

	* setup.py: Factor out datafiles that are only relevant on a Free
	  desktop. Also package PO files.

2008-10-02 09:02  friedelwolff

	* share/icons, share/icons/virtaal.ico, share/virtaal/virtaal.ico:
	  Create share/icons and move the .ico file there

2008-10-02 08:11  friedelwolff

	* setup.py: Add po files to the distribution

2008-10-02 08:06  friedelwolff

	* maketranslations, share/mime, share/mime/packages,
	  share/mime/packages/virtaal-mimetype.xml.in,
	  share/virtaal/virtaal-mimetype.xml.in: Create share/mime/packages
	  and move the -mimetypes.xml.in file there

2008-10-02 07:59  friedelwolff

	* maketranslations, share/applications,
	  share/applications/virtaal.desktop.in,
	  share/virtaal/virtaal.desktop.in: Create share/applications and
	  move the .desktop file there

2008-10-02 07:49  friedelwolff

	* po/POTFILES.in: Update to reflect recent changes

2008-10-02 07:46  friedelwolff

	* virtaal/tips.py: Mention moving in large steps. -outdated comment

2008-10-02 07:08  friedelwolff

	* virtaal/pan_app.py: Use locale.getdefaultlocale() which seems
	  reliable on more platforms than locale.getlocale()

2008-10-01 20:52  friedelwolff

	* virtaal/recent.py: Limit the recent files to 15

2008-10-01 16:29  friedelwolff

	* setup.py: Fix a couple more thinkos after the py2app options were
	  added

2008-10-01 16:23  friedelwolff

	* setup.py: Fix small type in plist specification

2008-10-01 14:39  walter_l

	* virtaal/unit_editor.py, virtaal/unit_layout.py: For empty target
	  text views, use the source text to calculate the text view's
	  height.

2008-10-01 14:37  walter_l

	* virtaal/unit_layout.py: Keep references to sources and targets
	  for use by other interested objects.

2008-10-01 14:16  friedelwolff

	* virtaal/about.py: Add a logo to the about screen, and credit the
	  artist :-)

2008-10-01 14:14  friedelwolff

	* share/virtaal/virtaal_logo.png, share/virtaal/virtaal_logo.svg:
	  Add a new logo

2008-10-01 13:51  friedelwolff

	* setup.py: Make a prettier name by using proper capitalisation
	  (Virtaal)

2008-10-01 13:30  friedelwolff

	* setup.py: Some small refactorings and initial (untested) support
	  for py2app

2008-10-01 10:56  walter_l

	* setup.py: Fixed Windows icon path in setup.py.

2008-10-01 10:30  walter_l

	* setup.py: Fixed tiny bug caused by my last commit.

2008-10-01 10:26  walter_l

	* setup.py: Fixed Windows file associasions created by InnoSetup.
	  This bug was caused by differences between
	  translate.storage.factory.supported_files() and the hash that it
	  replaced.

2008-10-01 10:25  walter_l

	* virtaal/markup.py, virtaal/store_model.py,
	  virtaal/widgets/label_expander.py: Fixed tooltip (unit notes)
	  markup and markup handling.

2008-10-01 10:23  walter_l

	* virtaal/unit_renderer.py: Added row padding to unit renderes so
	  that consecutive multi-line (unselected) units are more easily
	  distinguishable even without rules hints.

2008-10-01 08:53  friedelwolff

	* virtaal/main_window.py, virtaal/pan_app.py: Move
	  get_data_file_abs_name() from main_window to
	  get_abs_data_filename() in pan_app so that it can easily be used
	  from other places

2008-09-30 16:28  friedelwolff

	* virtaal/unit_renderer.py: Use .create_pango_context() to ensure
	  we don't overwrite settings in the same context

2008-09-30 16:08  friedelwolff

	* virtaal/unit_editor.py: Simplify the handling of pango layouts -
	  we don't need the GTK layouts

2008-09-30 15:52  friedelwolff

	* virtaal/unit_layout.py: Use the proper font settings in the
	  editing area

2008-09-30 15:39  dwaynebailey

	* bin/virtaal: s/VirTaal/Virtaal/g - missed this one

2008-09-30 15:30  walter_l

	* gui_tests/common.py, gui_tests/test_open_and_close.py, setup.py,
	  virtaal/about.py, virtaal/document.py, virtaal/main_window.py,
	  virtaal/store_model.py, virtaal/support/memoize.py,
	  virtaal/terminology.py, virtaal/undo_buffer.py,
	  virtaal/unit_editor.py, virtaal/unit_renderer.py: Cosmetic
	  changes: Removed trailing spaces.

2008-09-30 15:11  walter_l

	* virtaal/main_window.py: Fixed a URI-bug that makes the "Recent
	  Files" unusable under Windows.

2008-09-30 15:06  dwaynebailey

	* po/Makevars, po/gtk20-lite.pot, po/virtaal.pot, setup.py,
	  share/virtaal/virtaal-mimetype.xml.in,
	  share/virtaal/virtaal.desktop.in, share/virtaal/virtaal.glade,
	  virtaal/README, virtaal/about.py, virtaal/main_window.py,
	  virtaal/mode_selector.py, virtaal/pan_app.py,
	  virtaal/store_grid.py, virtaal/unit_editor.py:
	  s/VirTaal/Virtaal/g

2008-09-30 13:45  friedelwolff

	* virtaal/autocompletor.py: Don't barf on empty or None targets

2008-09-30 13:43  friedelwolff

	* virtaal/main_window.py: Print a full traceback on all errors on
	  file open

2008-09-30 13:10  friedelwolff

	* setup.py: Get the supported files from the toolkit factory (after
	  changes in revision 7791)

2008-09-30 08:59  walter_l

	* virtaal/__version__.py: Updated version to 0.2-rc1

2008-09-30 08:41  walter_l

	* virtaal/document.py, virtaal/main_window.py: Keep the mode
	  selector from being destroy()ed every time a new file is opened.
	  This fixes bug 530.

2008-09-30 06:04  friedelwolff

	* virtaal/unit_editor.py: If punctranslate() changes something in
	  copy_original(), insert the unchanged version in the undo buffer

2008-09-29 21:36  dwaynebailey

	* maketranslations: Fail with error if no translation directory
	  exists

2008-09-29 21:31  friedelwolff

	* virtaal/document.py: Deal with incorrect stats if the PO file
	  doesn't have a header

2008-09-29 21:29  dwaynebailey

	* virtaal/support/sorted_set.py: docstring: correct lists

2008-09-29 21:25  dwaynebailey

	* po/af.po: Correct spacing

2008-09-29 20:34  friedelwolff

	* share/virtaal/autocorr/acor_af-ZA.dat,
	  share/virtaal/autocorr/acor_cs-CZ.dat,
	  share/virtaal/autocorr/acor_da-DK.dat,
	  share/virtaal/autocorr/acor_de-DE.dat,
	  share/virtaal/autocorr/acor_en-GB.dat,
	  share/virtaal/autocorr/acor_en-US.dat,
	  share/virtaal/autocorr/acor_es-ES.dat,
	  share/virtaal/autocorr/acor_fi-FI.dat,
	  share/virtaal/autocorr/acor_fr-FR.dat,
	  share/virtaal/autocorr/acor_hu-HU.dat,
	  share/virtaal/autocorr/acor_it-IT.dat,
	  share/virtaal/autocorr/acor_nl-NL.dat,
	  share/virtaal/autocorr/acor_pl-PL.dat,
	  share/virtaal/autocorr/acor_pt-BR.dat,
	  share/virtaal/autocorr/acor_pt-PT.dat,
	  share/virtaal/autocorr/acor_ru-RU.dat,
	  share/virtaal/autocorr/acor_sv-SE.dat,
	  share/virtaal/autocorr/acor_vi-VN.dat: Updated autocorrect
	  dictionaries from OOo upstream

2008-09-29 19:11  friedelwolff

	* virtaal/unit_renderer.py: Set the font and language from the
	  global settings to give Pango as much information as possible for
	  proper rendering

2008-09-29 19:10  friedelwolff

	* virtaal/rendering.py: Some utility functions to help with
	  rendering

2008-09-29 19:01  friedelwolff

	* virtaal/pan_app.py: Add entries for sourcefont, targetfont,
	  nplurals, and plural. Always add missing sections as part of
	  reading.

2008-09-29 16:34  walter_l

	* virtaal/search_mode.py: Added mnemonics for case sensitivity and
	  regular expression check boxes in search mode.
	  This fixes bug 525.

2008-09-29 16:21  walter_l

	* gui_tests/__init__.py, gui_tests/common.py,
	  gui_tests/test_open_and_close.py, setup.py,
	  source_tree_infrastructure/__init__.py,
	  source_tree_infrastructure/lsprofcalltree.py,
	  virtaal/__init__.py, virtaal/__version__.py, virtaal/about.py,
	  virtaal/autocompletor.py, virtaal/autocorrector.py,
	  virtaal/document.py, virtaal/formats.py, virtaal/main_window.py,
	  virtaal/markup.py, virtaal/mode_selector.py, virtaal/modes.py,
	  virtaal/pan_app.py, virtaal/recent.py, virtaal/search_mode.py,
	  virtaal/store_grid.py, virtaal/store_model.py,
	  virtaal/support/__init__.py, virtaal/support/bijection.py,
	  virtaal/support/memoize.py, virtaal/support/openmailto.py,
	  virtaal/support/partial.py, virtaal/support/set_enumerator.py,
	  virtaal/support/simplegeneric.py, virtaal/support/sorted_set.py,
	  virtaal/terminology.py, virtaal/tips.py, virtaal/undo_buffer.py,
	  virtaal/unit_editor.py, virtaal/unit_layout.py,
	  virtaal/unit_renderer.py, virtaal/widgets/__init__.py,
	  virtaal/widgets/entry_dialog.py,
	  virtaal/widgets/label_expander.py, virtaal/widgets/util.py:
	  Cosmetic changes, mostly fixing up of license blocks at the start
	  of all files.

2008-09-29 15:26  friedelwolff

	* virtaal/main_window.py: Don't try to enter search mode if there
	  is no document

2008-09-29 14:43  walter_l

	* virtaal/document.py, virtaal/search_mode.py,
	  virtaal/support/set_enumerator.py: If modes are switched and the
	  currently selected unit is further down in the
	  document than the last unit in the new mode, incorrect movement
	  behaviour was
	  observed. This has been fixed by having Cursor objects use the
	  default index
	  of 0 if the given index is beyond the range of its data set.
	  
	  Search mode also handles the cursor itself (in stead of calling
	  document.refresh_cursor()), because it turns out that the Search
	  mode (which
	  is a UnionSetEnumerator) and a Search mode's Cursor's union_set
	  is the same
	  object.

2008-09-29 14:41  walter_l

	* virtaal/autocompletor.py, virtaal/search_mode.py,
	  virtaal/support/set_enumerator.py: Cosmetic changes.

2008-09-29 13:21  friedelwolff

	* virtaal/undo_buffer.py: Ignore zero length inserts

2008-09-29 13:19  friedelwolff

	* virtaal/autocompletor.py: Only perform autocompletion on single
	  character insertions. This way we can ignore multi-character
	  paste events, for example.

2008-09-29 13:18  friedelwolff

	* virtaal/autocompletor.py: Massively improve the interaction with
	  undo code.
	  
	  A suggestion should never go into the undo buffer, but accepting
	  a suggestion should.

2008-09-29 13:15  friedelwolff

	* virtaal/undo_buffer.py: Delete selection on undo event. This
	  improves interaction with the autocompletor.

2008-09-27 09:36  dwaynebailey

	* virtaal/autocorrector.py: docstring: fix list indentation

2008-09-27 09:34  dwaynebailey

	* virtaal/autocorrector.py: docstring: fix @rtype

2008-09-27 09:32  dwaynebailey

	* virtaal/support/memoize.py: docstring: use literal block

2008-09-27 09:30  dwaynebailey

	* virtaal/support/openmailto.py: docstring: convert list to @param

2008-09-27 09:27  dwaynebailey

	* virtaal/support/partial.py: docstring: various code example
	  cleanups

2008-09-27 07:50  friedelwolff

	* virtaal/undo_buffer.py: Rename incorrect 'self' to buf to relfect
	  that parameter is a gtk.TextBuffer

2008-09-27 07:49  friedelwolff

	* virtaal/undo_buffer.py: Revert revision 8484 - confusion due to
	  bad variable names. Fix due in next commit.

2008-09-27 07:34  friedelwolff

	* virtaal/undo_buffer.py: Keep the methods of BoundedQueue together

2008-09-26 15:28  friedelwolff

	* virtaal/autocompletor.py: Improve docstring somewhat

2008-09-26 14:56  friedelwolff

	* virtaal/main_window.py: Remove unused function .on_undo()

2008-09-26 14:47  walter_l

	* virtaal/autocompletor.py: Fix the handling of
	  highlighted/selected auto-completion suggestions.
	  This fixes bug 521. This is not an easily summarizable bug, so
	  see the bug
	  report for more information.

2008-09-26 14:45  friedelwolff

	* virtaal/main_window.py: Improve error handling on file open and
	  save. This should fix bug 514, 515 and 517.

2008-09-26 10:16  walter_l

	* share/virtaal/virtaal.glade, virtaal/main_window.py,
	  virtaal/store_grid.py, virtaal/support/set_enumerator.py: - Added
	  status messages (returned from Cursor.move())
	  - Added a status bar (in main_window.py) to display these these
	  status messages.
	  - Added a delay when wrapping, just so that the user can see
	  something out of
	  the ordinary is happening.

2008-09-26 10:14  walter_l

	* virtaal/support/set_enumerator.py: Modified Cursor.move() to wrap
	  around the end of a file to the beginning and vice versa.

2008-09-25 15:45  friedelwolff

	* virtaal/autocorrector.py: Keep self.lang as None while
	  uninitialised. Return empty from load_dictionary() to ease using
	  it with gobject.idle_add().

2008-09-24 21:38  friedelwolff

	* virtaal/tips.py: Update tip now that we use Alt+Down to copy
	  original to target (tips still unused at the moment)

2008-09-24 21:32  friedelwolff

	* virtaal/widgets/entry_dialog.py: Grab the focus later - this
	  seems to work more reliably

2008-09-24 16:05  friedelwolff

	* virtaal/unit_editor.py: Keep a Document reference for later use.
	  Do punctuation translation when copying original to target. The
	  punctuation translation needs more testing in several languages,
	  but should mostly do the right thing.

2008-09-24 16:02  friedelwolff

	* virtaal/document.py: Add accessors to obtain the document's
	  source language and target language. This tries to obtain it from
	  the document, and falls back to the global application settings.

2008-09-24 16:01  friedelwolff

	* virtaal/document.py: Correct wrong user prompt for plural
	  equation

2008-09-24 16:00  friedelwolff

	* virtaal/document.py: Improve method of obtaining plurals

2008-09-24 07:12  friedelwolff

	* virtaal/autocompletor.py, virtaal/autocorrector.py: Use the new
	  undo_buffer.merge_actions for autocorrection and autocompletion

2008-09-24 07:06  friedelwolff

	* virtaal/unit_editor.py: Support 'copy to original' with Alt-Down

2008-09-24 07:05  friedelwolff

	* virtaal/undo_buffer.py: +Helper function merge_actions() to merge
	  the last two undo actions into one

2008-09-24 06:26  friedelwolff

	* virtaal/unit_editor.py: Remove dead code

2008-09-23 13:14  dwaynebailey

	* gui_tests, source_tree_infrastructure: Ignore *.pyc files

2008-09-23 13:11  dwaynebailey

	* share/virtaal/virtaal-mimetype.xml.in: Add .qph to the mimetypes

2008-09-20 23:48  dwaynebailey

	* virtaal/document.py: Fixes to get plural entries working in
	  virtaal:
	  * Add list of languages and plural forms, include reference to
	  source. This might be better placed
	  in lang/data.py but since it is hard coded for all of Qt this is
	  probably a better spot.
	  * Implement getsource: this allows us to force the source into a
	  multistring, in .ts the source
	  will always be a single entry never multiple as in PO. With this
	  the generic hasplural will work
	  * Add decorators for source and target, seems we get the parent
	  ones if not added
	  * Add nplural fuction to find the language and return the number
	  of plural forms
	  * Retrieve the nplural value if we are editing a .ts store.

2008-09-20 19:33  friedelwolff

	* virtaal/main_window.py: Only pass unicode strings to
	  autocompletor

2008-09-20 16:21  friedelwolff

	* bin/virtaal, virtaal/pan_app.py: Always read the ini file on
	  instantiation of pan_app.Settings, otherwise we are adding
	  unnecessary empty duplicate sections in the ini file

2008-09-20 16:12  friedelwolff

	* virtaal/unit_editor.py, virtaal/unit_layout.py: Show that file is
	  modified when an option (like fuzzy) is toggled. This closes bug
	  510.

2008-09-20 12:52  friedelwolff

	* virtaal/search_mode.py: Use re.UNICODE instead of re.LOCALE which
	  fixes the problems experienced with case insensitive non-ASCII
	  searches

2008-09-20 09:30  dwaynebailey

	* share/virtaal/virtaal.glade: Use Title Case, add accesskey

2008-09-19 21:29  friedelwolff

	* virtaal/main_window.py, virtaal/recent.py: Limit ourselves to
	  local only recent files, and enable opening them from the menu.

2008-09-19 20:55  friedelwolff

	* virtaal/main_window.py: Add files that we open successfully to
	  the recent files

2008-09-19 20:54  friedelwolff

	* virtaal/recent.py: Improve applicdation names, instantiate the
	  default recent manager, show tips

2008-09-19 20:29  friedelwolff

	* share/virtaal/virtaal.glade, virtaal/main_window.py,
	  virtaal/recent.py: Add support for recent files in the File menu.
	  We don't yet add our own ones to the recent files manager

2008-09-19 20:21  friedelwolff

	* share/virtaal/virtaal.glade: Change the handler for File->Quit to
	  on_quit to handle unsaved files correctly

2008-09-19 19:58  friedelwolff

	* virtaal/main_window.py: Translate logo as window icon

2008-09-19 19:56  friedelwolff

	* virtaal/main_window.py: Return False from _confirm_unsaved() for
	  clarity

2008-09-19 19:54  friedelwolff

	* virtaal/main_window.py: Properly handle File->Quit

2008-09-19 19:47  friedelwolff

	* virtaal/main_window.py: Set a very low priority to restoring the
	  default cursor after loading the document. This way it even waits
	  for the editing widget to be fully activated before replacing the
	  busy (WATCH) cursor

2008-09-19 19:02  friedelwolff

	* virtaal/main_window.py: Show a busy (WATCH) cursor while loading
	  a file

2008-09-18 20:48  friedelwolff

	* virtaal/about.py: Credit Walter

2008-09-18 19:16  friedelwolff

	* virtaal/search_mode.py: Correctly test if chk_regex is checked

2008-09-18 19:10  friedelwolff

	* virtaal/search_mode.py: Work throughout with unicode strings in
	  searching, and always change to lower case to obtain case
	  insensitivity (it seems re.IGNORECASE doesn't handle non-ASCII
	  correctly). Removed unused self.re_flags.

2008-09-16 18:34  friedelwolff

	* virtaal/search_mode.py: Fix logic for the use of re.IGNORECASE
	  (ignorecase for pogrep is correct)

2008-09-16 15:37  walter_l

	* virtaal/mode_selector.py: Added mnemonic for mode selection
	  combo.

2008-09-16 15:36  walter_l

	* virtaal/search_mode.py: Moved search functionality to
	  update_search() and added a search delay via
	  gobject.timeout_add().

2008-09-16 15:36  walter_l

	* virtaal/search_mode.py: Force an updated when the Enter is
	  pressed in the search entry ("activate" event)

2008-09-16 15:35  walter_l

	* virtaal/document.py: - Removed unused "mode-changed" signal
	  - Added cursor_changed() method that emits the "cursor-changed"
	  event

2008-09-15 16:43  walter_l

	* virtaal/search_mode.py: Search mode now selects the first match
	  (in targets).

2008-09-15 16:42  walter_l

	* virtaal/mode_selector.py: Fixed minor syntax error (trailing ":")

2008-09-15 16:41  walter_l

	* virtaal/document.py, virtaal/main_window.py,
	  virtaal/mode_selector.py, virtaal/modes.py,
	  virtaal/search_mode.py, virtaal/store_grid.py,
	  virtaal/support/set_enumerator.py: Loads of changes to make
	  mode-related code more robust and organized:
	  - ModeSelector is now managed by Document in stead of the VirTaal
	  class
	  - A "cursor-changed" event has been added for the UnitGrid to
	  connect to
	  - The VirTaal class (main_window.py) has been cleaned up by
	  removing the
	  ModeSelector-stuff that Document now does itself
	  - BaseMode was added as base-class for all other mode classes
	  (not added to
	  virtaal.modes.MODES)
	  - Modes' handle_unit() -> unit_changed()
	  - Modes' refresh() was merged with selected(), seeing as they do
	  the same
	  - Modes got a new method: unselected()
	  - Search mode now correctly removes highlighting when the mode is
	  changed

2008-09-15 16:39  walter_l

	* virtaal/search_mode.py: - Fixed search highlighting by using
	  gtk.TextTags in stead of pango markup.
	  - Changed make_filter() method to return the filter in stead of
	  directly
	  assigning it to self.filter.
	  - Renamed search_re to re_search (so that it's similar to
	  re_flags)

2008-09-15 16:37  walter_l

	* virtaal/mode_selector.py: cmb_modes.set_active() reintroduced,
	  because otherwise the default mode is not selected
	  by cmb_modes at start-up.

2008-09-15 16:36  walter_l

	* virtaal/unit_layout.py: Added _is_source attribute to source
	  TextViews.

2008-09-15 16:35  walter_l

	* virtaal/search_mode.py: Busy fixing unhighlighting.

2008-09-15 16:34  walter_l

	* virtaal/search_mode.py: Half-implemented highlighting. Some stuff
	  still needed:
	  - Currently, search strings are "highlighted" by surrounding it
	  with "|"
	  - Unhighlighting does not yet work correctly ("|"s stack with
	  each visit to a unit)
	  - "|" should be replaced with markup

2008-09-15 16:33  walter_l

	* virtaal/mode_selector.py: Added current_mode attribute to
	  ModeSelector.

2008-09-15 16:32  walter_l

	* virtaal/unit_editor.py: Added UnitEditor.sources.

2008-09-15 16:31  walter_l

	* virtaal/unit_layout.py: Added get_sources() function. Based on
	  get_targets().

2008-09-15 16:30  walter_l

	* virtaal/main_window.py, virtaal/mode_selector.py,
	  virtaal/modes.py, virtaal/search_mode.py: Started with
	  highlighting of matched strings. SearchMode.handle_unit() is
	  still unfinished, though.

2008-09-12 04:15  dwaynebailey

	* virtaal/main_window.py: Correct call to tzstring

2008-09-11 19:52  dwaynebailey

	* virtaal/autocompletor.py: Don't coerce to unicode - it should be
	  that already. Use standard accessors.

2008-09-11 19:44  dwaynebailey

	* virtaal/main_window.py: Avoid %z as it isn't supported correctly
	  on Windows

2008-09-11 19:37  dwaynebailey

	* share/virtaal/virtaal-mimetype.xml.in: Correct spelling

2008-09-11 16:00  walter_l

	* virtaal/search_mode.py: Added Firefox-colors to indicate that no
	  matches were found.

2008-09-11 14:43  walter_l

	* LICENSE: Added LICENSE

2008-09-11 14:18  walter_l

	* virtaal/main_window.py, virtaal/mode_selector.py,
	  virtaal/modes.py, virtaal/search_mode.py: Added keyboard shortcut
	  (F3) for Search.
	  
	  WARNING: Ugly hack used to give focus to the search entry.

2008-09-11 14:15  walter_l

	* virtaal/document.py, virtaal/main_window.py,
	  virtaal/mode_selector.py: Cosmetic changes.

2008-09-10 15:38  walter_l

	* virtaal/search_mode.py: Search mode now supports case sensitivity
	  and regex checking. These parameters
	  are used to created a translate.tools.pogrep.GrepFilter object
	  that is used to
	  match units.

2008-09-10 15:36  walter_l

	* virtaal/modes.py, virtaal/search_mode.py: Moved SearchMode class
	  to search_mode.py

2008-09-10 15:34  walter_l

	* virtaal/mode_selector.py: Added a "Mode: " label before the
	  mode-selection combo.

2008-09-10 15:32  walter_l

	* virtaal/modes.py: Changed displayed names of the "Default" and
	  "QuickTranslate" modes to "All" and "Incomplete" respectively.

2008-09-10 15:30  walter_l

	* virtaal/document.py, virtaal/modes.py, virtaal/store_grid.py:
	  Basic searching works!
	  
	  - Modes' refresh() method now takes a Document instance in stead
	  of Document.stats
	  - Searching is done by iterating through document.store.units;
	  should be done via pogrep
	  - Search mode with an empty search string is equivalent to the
	  "Default" mode

2008-09-10 15:28  walter_l

	* virtaal/document.py, virtaal/main_window.py,
	  virtaal/mode_selector.py, virtaal/modes.py: A lot of changes, but
	  they are all necessary to avoid committing a broken VirTaal:
	  - Only one instance of each mode is created
	  - Mode constructors no longer accept any parameters, they are
	  handled by the refresh() method
	  - The ModeSelector determines the default mode and keeps a
	  reference to it

2008-09-10 15:24  walter_l

	* virtaal/document.py, virtaal/store_model.py: Cosmetic.

2008-09-10 15:21  walter_l

	* virtaal/modes.py: Fixed signal-handling of search-entry's
	  "changed" event.

2008-09-10 15:19  walter_l

	* virtaal/mode_selector.py: Removed debug output

2008-09-10 15:17  walter_l

	* bin, bin/virtaal, run_virtaal.py, setup.py: run_virtaal.py ->
	  bin/virtaal
	  and updated setup.py to reflect the changes.

2008-09-10 15:01  walter_l

	* share/virtaal/virtaal.glade, virtaal/main_window.py,
	  virtaal/mode_selector.py, virtaal/modes.py: Use ModeSelector in
	  stead of the ModeBox class defined in main_window.py.
	  The Glade file was updated to move the "mode bar" above the main
	  screen.

2008-09-10 14:57  walter_l

	* run_virtaal.py: Added logging to stdout.

2008-08-19 10:56  dwaynebailey

	* po/Makevars, po/intltool-update: Add extra bits to Makevars to
	  make this fully configurable

2008-08-19 10:50  dwaynebailey

	* po/intltool-update: Make script slightly more portable

2008-08-19 10:43  dwaynebailey

	* maketranslations: A little overkill butnow our script is reusable
	  in most .desktop.in and .mimetype.in situations

2008-08-05 14:27  dwaynebailey

	* virtaal/main_window.py: Report an error if the file being opened
	  does not exist.

2008-08-04 10:08  dwaynebailey

	* virtaal/main_window.py, virtaal/store_grid.py: Add
	  Ctrl+PgDown/PgUp to allow large jump navigation in the editor

2008-08-04 00:53  dwaynebailey

	* virtaal/tips.py: Add Ctrl+Up/Down tip.

2008-08-03 11:34  dwaynebailey

	* po/gtk20-lite.pot: Add entriese for Save As dialog.

2008-08-03 11:21  dwaynebailey

	* po/af.po: First Afrikaans translation added

2008-08-03 11:15  dwaynebailey

	* po/POTFILES.in, virtaal/modes.py: Make modes localisable

2008-08-03 10:58  dwaynebailey

	* virtaal/pan_app.py: Work around systems e.g. Fedora that encode
	  data, other then just the name, into the name field.

2008-08-03 10:56  dwaynebailey

	* virtaal/main_window.py: Align the unsaved document dialog with
	  the one from OOo.

2008-08-03 10:45  dwaynebailey

	* virtaal/main_window.py: Fix dialog title

2008-08-03 10:36  dwaynebailey

	* virtaal/unit_layout.py: Ensure that clicking the fuzzy checkbox
	  doesn't cause edit widget to lose focus

2008-08-03 10:29  dwaynebailey

	* virtaal/pan_app.py, virtaal/unit_layout.py: Do not localise log
	  messages

2008-08-03 10:21  dwaynebailey

	* .: Ignore *.pyc files

2008-08-03 10:16  dwaynebailey

	* po: Update ignore list

2008-08-03 10:10  dwaynebailey

	* po/gtk20-lite.pot: Enable LTR/RTL ability

2008-08-03 10:05  dwaynebailey

	* po/gtk20-lite.pot: Add entries for file open dialog

2008-08-03 09:33  dwaynebailey

	* po/gtk20-lite.pot, po/testlocalisations: Add a GTK 2.0 pot file
	  with only the essential translations for GTK, this would
	  allow a language without GTK translations to appear fully
	  translated. Added this
	  to the test localisation script.

2008-08-03 09:30  dwaynebailey

	* po/POTFILES.in: Update translatable file list

2008-08-03 09:23  dwaynebailey

	* share/virtaal: Ignore generated files

2008-08-03 09:21  dwaynebailey

	* virtaal, virtaal/support, virtaal/widgets: Ignore .pyc files

2008-07-29 17:20  walter_l

	* virtaal/main_window.py: Add newly translated words to
	  auto-completion list.

2008-07-29 17:18  walter_l

	* virtaal/autocompletor.py: AutoCompletor.add_words(): Make sure
	  that there are no duplicates.

2008-07-29 17:16  walter_l

	* virtaal/autocompletor.py: Improved word-seperation regex.

2008-07-29 16:55  walter_l

	* virtaal/store_grid.py: Removed trailing spaces.

2008-07-29 16:54  walter_l

	* virtaal/main_window.py:
	  s/get_words_from_store/add_words_from_store/g (a la revision
	  7930)

2008-07-29 15:57  walter_l

	* virtaal/autocompletor.py: Changed get_words_from_store() to
	  add_words_from_store() be able to load more
	  than one translation store for auto-completion.

2008-07-29 15:00  walter_l

	* virtaal/autocorrector.py: Re-replaced matching code with regular
	  expressions:
	  Each auto-correctable word is used, upon load, to create a
	  regular expression
	  that will match for strings ending in that word. These regular
	  expressions are
	  stored in a tuple, together with its replacement string, in the
	  correction-
	  dicionary.

2008-07-29 13:35  walter_l

	* virtaal/autocompletor.py: Fixed my broken sorting of words after
	  being loaded from a translation store.
	  Also got target strings as unicode() and not str().

2008-07-29 13:33  walter_l

	* virtaal/autocompletor.py: Cosmetic changes

2008-07-29 09:11  winterstream

	* virtaal/unit_layout.py: Don't create a terminology suggestion
	  widget if there are no suggestions.
	  This allows us to avoid ugly empty white boxes.

2008-07-28 16:41  winterstream

	* virtaal/document.py: If we find a document without plural
	  information, then we should rather
	  assume that the target language is the locale language instead of
	  asking the user such a question. Virtaal will later include
	  functionality
	  to allow the user to change the target langauge.
	  
	  So now we only ask for the target language if it cannot be
	  determined from
	  the environment.

2008-07-28 16:35  winterstream

	* run_virtaal.py, virtaal/terminology.py: Make it possible to pass
	  a translation store filename with --terminology
	  (instead of just a directory). If a filename is specified,
	  virtaal loads
	  the translation store. set_terminology_store will then place this
	  store
	  into match_store. get_suggestion_stores will yield only
	  match_store, if
	  it is None.
	  
	  Also replaced the memoization with an explicit match dictionary
	  (which
	  maps language codes to terminology matchers).

2008-07-28 16:13  winterstream

	* run_virtaal.py, virtaal/terminology.py: Two things:
	  
	  1. If we set the terminology directory config option before the
	  config file is read, it will be overwritten. This was changed in
	  run_virtaal.py so that the terminology directory is only set
	  after the config file has been read.
	  
	  2. The terminology matcher already has support for building a
	  matcher from multiple files. So we don't need to build such a
	  file; we only need to pass it a list of stores and it will do
	  the rest.

2008-07-28 15:46  winterstream

	* virtaal/terminology.py: Fixed a typo in terminology.py.

2008-07-28 15:45  winterstream

	* virtaal/autocorrector.py, virtaal/store_grid.py,
	  virtaal/unit_layout.py: Cosmetic neatification.

2008-07-28 14:41  friedelwolff

	* virtaal/autocorrector.py: Correct copyright date for file

2008-07-28 14:23  walter_l

	* virtaal/autocompletor.py, virtaal/main_window.py: Added
	  AutoCompletor. Similar in design to AutoCorrector, AutoCompletor
	  takes
	  a list of words (or parses a pofile store) to use as
	  auto-completion strings.

2008-07-28 14:00  walter_l

	* virtaal/autocorrector.py: AutoCorrection bug-fixes:
	  - Improved word seperation (wordsep_re changed from "^\W" to
	  "\W+")
	  - The last _word_ is checked if it is auto-replacable, not just
	  the end of the
	  string.
	  - Fixed undo by modifying the __undo_stack of text buffers.

2008-07-28 13:54  walter_l

	* virtaal/autocorrector.py: Unicodification of strings in the
	  AutoCorrector.

2008-07-28 13:52  walter_l

	* virtaal/autocorrector.py: Cosmetic changes.

2008-07-28 10:12  winterstream

	* virtaal/main_window.py, virtaal/store_grid.py,
	  virtaal/store_model.py, virtaal/unit_grid.py,
	  virtaal/unit_model.py: Renaming to make the function of existing
	  code clearer.

2008-07-28 10:11  winterstream

	* virtaal/unit_grid.py: I don't think I have to remove an
	  accelerator group when it dies
	  along with its containing widget.

2008-07-28 09:12  winterstream

	* virtaal/document.py: Forgot to ensure that nplurals is an int.
	  This caused documents
	  with plurals to fail.

2008-07-28 09:11  winterstream

	* virtaal/unit_grid.py: Refactoring to get the morning started.

2008-07-28 08:33  winterstream

	* virtaal/unit_layout.py: Implemented a TreeView for showing
	  terminology suggestions.

2008-07-28 08:32  winterstream

	* virtaal/document.py, virtaal/profiler.py, virtaal/undo_buffer.py,
	  virtaal/unit_grid.py, virtaal/unit_renderer.py: Removed the
	  unused profile code which was a hangover from the
	  start of the project.
	  
	  Refactored document.py, since it was quite messy. Also did a
	  bit of cosmetic work.

2008-07-28 08:31  winterstream

	* virtaal/terminology.py: Refactoring and comment addition.

2008-07-28 08:30  winterstream

	* virtaal/unit_layout.py: A wee bit of refactoring and a rough
	  implementation of a
	  terminology display widget.

2008-07-28 08:30  winterstream

	* virtaal/unit_layout.py: Since we're not going to be passing
	  parameters to any of the make()
	  functions, they're not doing anything for us (other than giving
	  us
	  unneeded lazy behaviour). So we might as well do away with them.

2008-07-28 08:29  winterstream

	* virtaal/terminology.py: Added code to create an memoize a
	  terminology matcher for a given
	  langauge. Also unmemoized get_suggestion_store, since we will
	  no longer use it directly. It's only used via
	  get_terminology_matcher
	  now.

2008-07-28 08:28  winterstream

	* virtaal/unit_layout.py: Did a little bit of refactoring.

2008-07-28 08:27  winterstream

	* run_virtaal.py: Added a command line option to specify the
	  directory containing
	  terminology language files.

2008-07-28 08:27  winterstream

	* virtaal/pan_app.py, virtaal/terminology.py: Added a module which
	  constructs a store from all terminology files
	  in a given language directory. Such a store is to be used by the
	  termininology matcher.

2008-07-28 08:26  winterstream

	* virtaal/support/memoize.py: Added a general purpose memoization
	  module. This should eventually be moved
	  to the toolkit, since there are now 3 or 4 different memoization
	  implementations
	  between Virtaal, the Toolkit and Pootle.

2008-07-28 08:25  winterstream

	* run_virtaal.py: Cosmetic. Removed unused code.

2008-07-28 08:24  winterstream

	* run_virtaal.py: A bit of refactoring to get into the coding
	  spirit. Giving names
	  to sequences of statements (by stuffing them into functions) is
	  a good way to improve readability.

2008-07-26 01:23  dwaynebailey

	* setup.py: Package the autocorr files. This is hackish using *.*
	  to avoid including autocorr directory

2008-07-25 22:58  dwaynebailey

	* run_virtaal.py: Add version information

2008-07-25 22:51  dwaynebailey

	* po/testlocalisations: Build and test localisations

2008-07-25 22:33  dwaynebailey

	* virtaal/main_window.py: Define the gettext domain for the .glade
	  file

2008-07-25 22:18  dwaynebailey

	* po/Makevars: Remove XGETTEXT_ARGS which are now given in
	  ./intltool-update wrapper

2008-07-25 22:13  dwaynebailey

	* po/README: Fix for new wrapper script

2008-07-25 22:11  dwaynebailey

	* po/intltool-update: Add a wrapper around intltool so that we can
	  set PO header options correctly

2008-07-25 21:58  walter_l

	* virtaal/main_window.py: Added auto-correction to
	  virtaal.main_window.VirTaal so that it's actually
	  used.

2008-07-25 20:55  dwaynebailey

	* run_virtaal.py, virtaal/about.py, virtaal/document.py,
	  virtaal/formats.py, virtaal/main_window.py, virtaal/modes.py,
	  virtaal/pan_app.py, virtaal/tips.py, virtaal/unit_grid.py,
	  virtaal/unit_layout.py: Use gettext.install and remove all module
	  level imports of _ alias

2008-07-25 20:47  dwaynebailey

	* virtaal/about.py: Mark unicode string correctly

2008-07-25 19:51  dwaynebailey

	* virtaal/pan_app.py: Raise an exception if the file supplied does
	  not exist.

2008-07-25 19:32  dwaynebailey

	* run_virtaal.py: Make the metavars translatable

2008-07-25 18:13  dwaynebailey

	* run_virtaal.py: Allow usage line to be localised

2008-07-25 16:48  walter_l

	* share/virtaal/autocorr, share/virtaal/autocorr/acor_af-ZA.dat,
	  share/virtaal/autocorr/acor_bg-BG.dat,
	  share/virtaal/autocorr/acor_cs-CZ.dat,
	  share/virtaal/autocorr/acor_da-DK.dat,
	  share/virtaal/autocorr/acor_de-DE.dat,
	  share/virtaal/autocorr/acor_en-GB.dat,
	  share/virtaal/autocorr/acor_en-US.dat,
	  share/virtaal/autocorr/acor_en-ZA.dat,
	  share/virtaal/autocorr/acor_es-ES.dat,
	  share/virtaal/autocorr/acor_fi-FI.dat,
	  share/virtaal/autocorr/acor_fr-FR.dat,
	  share/virtaal/autocorr/acor_hu-HU.dat,
	  share/virtaal/autocorr/acor_it-IT.dat,
	  share/virtaal/autocorr/acor_ja-JP.dat,
	  share/virtaal/autocorr/acor_ko-KR.dat,
	  share/virtaal/autocorr/acor_nl-NL.dat,
	  share/virtaal/autocorr/acor_pl-PL.dat,
	  share/virtaal/autocorr/acor_pt-BR.dat,
	  share/virtaal/autocorr/acor_pt-PT.dat,
	  share/virtaal/autocorr/acor_ru-RU.dat,
	  share/virtaal/autocorr/acor_sk-SK.dat,
	  share/virtaal/autocorr/acor_sl-SI.dat,
	  share/virtaal/autocorr/acor_sv-SE.dat,
	  share/virtaal/autocorr/acor_tr-TR.dat,
	  share/virtaal/autocorr/acor_zh-CN.dat,
	  share/virtaal/autocorr/acor_zh-TW.dat, virtaal/autocorrector.py,
	  virtaal/pan_app.py, virtaal/unit_editor.py, virtaal/unit_grid.py,
	  virtaal/unit_layout.py, virtaal/unit_renderer.py: - Added
	  auto-correction in target strings using OpenOffice.org data
	  files.
	  - Added OpenOffice.org's data files to share/virtaal/autocorr/.
	  - Some small cosmetic changes.

2008-07-25 16:45  dwaynebailey

	* gui_tests/common.py: Cleanup last bad commit

2008-07-25 16:45  walter_l

	* virtaal/main_window.py: Added get_data_file_abs_name() and made
	  changed load_glade_file() to use it.

2008-07-25 16:40  dwaynebailey

	* gui_tests/common.py, po/virtaal.pot, run_virtaal.py: Typo

2008-07-25 16:37  dwaynebailey

	* run_virtaal.py: Use Python variable names

2008-07-25 16:30  dwaynebailey

	* virtaal/main_window.py: Make the modified marker placeable in the
	  translatable string. Use rstrip to remove any tralining
	  whitespace when nothing has been modified.

2008-07-25 16:22  dwaynebailey

	* virtaal/main_window.py: Use Python variable markup to explain
	  variable

2008-07-25 16:04  dwaynebailey

	* po/Makevars: Add options to set the: copyright, program name and
	  program version

2008-07-25 16:00  dwaynebailey

	* po/POTFILES.in: Add some new files

2008-07-25 15:20  dwaynebailey

	* po/POTFILES.in: Fix extraction of strings

2008-07-25 09:23  dwaynebailey

	* maketranslations: s/data/share/virtaal/

2008-07-24 14:09  walter_l

	* setup.py: Added gtk.keysyms to innosetup's includes.

2008-07-24 13:59  walter_l

	* virtaal/main_window.py: A bunch of small cosmetic changes.

2008-07-24 13:39  walter_l

	* data, setup.py, share, share/virtaal,
	  share/virtaal/virtaal-mimetype.xml.in,
	  share/virtaal/virtaal.desktop.in, share/virtaal/virtaal.glade,
	  share/virtaal/virtaal.ico, share/virtaal/virtaal.png: Moved data/
	  to share/virtaal/ and updated setup.py accordingly.

2008-07-24 13:35  walter_l

	* run_virtaal.py: Removed unnecessary trailing spaces that polutes
	  my VIm.

2008-07-24 13:26  walter_l

	* virtaal/document.py, virtaal/modes.py,
	  virtaal/support/partial.py, virtaal/support/set_enumerator.py,
	  virtaal/support/simplegeneric.py, virtaal/unit_editor.py,
	  virtaal/unit_grid.py, virtaal/unit_renderer.py: Cosmetic changes.
	  Mostly fixing of license notices and removal of trailing
	  spaces.

2008-07-24 09:21  winterstream

	* virtaal/unit_layout.py: Generalized the layout function so take
	  parameters for objects to
	  lay out to the left, middle or right. Also fixed a tiny bug with
	  the
	  invocation of option() in build_layout.

2008-07-24 09:21  winterstream

	* virtaal/unit_editor.py, virtaal/unit_renderer.py: Cosmetic
	  change. Forgot to save these files before committing the previous
	  time.

2008-07-24 09:10  winterstream

	* virtaal/document.py, virtaal/main_window.py,
	  virtaal/undo_buffer.py, virtaal/unit_editor.py,
	  virtaal/unit_grid.py: Cosmetic changes. Code neatification.

2008-07-24 09:09  winterstream

	* virtaal/unit_layout.py, virtaal/unit_model.py,
	  virtaal/widgets/util.py: Cosmetic change.
	  
	  Moved utility functions to widgets/util.py. Started adding
	  __all__ module members so that only public members will be
	  exposed.

2008-07-23 17:00  winterstream

	* virtaal/main_window.py, virtaal/unit_grid.py,
	  virtaal/unit_model.py: Made a last few changes to integrate the
	  UnitModel properly.

2008-07-23 16:59  winterstream

	* virtaal/unit_grid.py, virtaal/unit_model.py: Started the
	  conversion of the ListModel to the custom model.

2008-07-23 16:58  winterstream

	* virtaal/unit_model.py: Changed the model to have three columns so
	  that it can slot into
	  the existing code.

2008-07-23 16:57  winterstream

	* virtaal/unit_model.py: Added a model which implements the
	  TreeView model interface. We are going
	  to use this model in our custom widget.

2008-07-23 16:45  winterstream

	* run_virtaal.py, virtaal/main_window.py: More cosmetic changes.
	  Moved file system path related code
	  to main_window.py.
	  
	  Let cProfile invoke runcall.

2008-07-23 16:25  winterstream

	* virtaal/unit_layout.py: Cosmetic changes.

2008-07-23 16:00  winterstream

	* virtaal/unit_layout.py: Replaced the layout classes system with a
	  simple functional
	  approach.

2008-07-23 14:42  winterstream

	* virtaal/unit_editor.py, virtaal/unit_layout.py: Further removed
	  dependencies on the Layout class.

2008-07-23 14:04  winterstream

	* virtaal/unit_editor.py, virtaal/unit_layout.py: Removed the
	  code's dependence on the Layout class. We rather work
	  directly with GTK objects now than via some mediator such as the
	  layout class.

2008-07-23 13:18  winterstream

	* virtaal/unit_editor.py, virtaal/unit_layout.py: Moved widget
	  creation code to unit_layout.py.

2008-07-23 12:53  winterstream

	* virtaal/unit_editor.py: Removed more of unwanted magic. Hopefully
	  the code will be less of a pain to maintain.
	  
	  Conflicts:
	  
	  virtaal/unit_editor.py

2008-07-23 10:49  winterstream

	* virtaal/document.py, virtaal/unit_editor.py: When we call
	  make_widget at the top level, we need to pass
	  parent.document.nplurals
	  and not parent!
	  
	  Also, there is no reason to check for 'Plural-Forms' in the
	  header before proceeding
	  to get the plurals data. If there is no 'Plural-Forms'
	  declaration, we still want
	  VirTaal to attempt to get it from the current locale and failing
	  that, from the user
	  (via a dialog).

2008-07-23 10:48  winterstream

	* virtaal/pan_app.py, virtaal/unit_grid.py: We don't need to check
	  for PyGTK 2 anywhere else outside of main_window.
	  Once is enough :).

2008-07-17 16:57  dwaynebailey

	* virtaal/formats.py: Implent a function to return all known
	  multilingual formats, their extensions and mimetypes
	  Add names to formats (to be localised sometime in the future)
	  Add missing extensions and mimetypes
	  Remove knowledge for formats from virtaal

2008-06-04 11:00  walter_l

	* virtaal/about.py: Modified virtaal/about.py to add the e-mail/URL
	  hooks regardless of os.name. So bug 401 is NOW fixed.

2008-06-04 09:04  walter_l

	* virtaal/support/openmailto.py: Bug fixed and license notice added
	  in virtaal/support/openmailto.py.
	  Bug 401 is now fixed.

2008-06-04 08:21  walter_l

	* virtaal/about.py, virtaal/main_window.py,
	  virtaal/support/openmailto.py: Added support/openmailto.py to
	  Virtaal to fix bug 401.
	  Modified about.py and main_window.py to use it accordingly.

2008-05-21 10:57  winterstream

	* virtaal/unit_editor.py, virtaal/unit_grid.py,
	  virtaal/unit_renderer.py: Cosmetic commit.
	  
	  Did one of three things:
	  1. Prefixed private members with _
	  2. Removed dead code
	  3. Removed unused imports
	  
	  Also swapped two function names for keyboard
	  handlers. Although this didn't cause any damage,
	  it was confusing.

2008-05-21 09:08  winterstream

	* virtaal/unit_editor.py, virtaal/unit_renderer.py: Renamed
	  set_optimal_height to compute_optimal_height. This is
	  to avoid confusion, since set_optimal_height is not a setter.

2008-05-21 09:07  winterstream

	* virtaal/unit_editor.py: Removed the ugly style code. Since we're
	  not manually computing
	  heights, we don't need all of that style code either.

2008-05-21 08:56  winterstream

	* virtaal/unit_renderer.py: The editor height wasn't reset when the
	  window's width was changed.
	  This is now reset before new height calculations, which means
	  that
	  the right editor height is shown.

2008-05-21 08:56  winterstream

	* virtaal/unit_editor.py, virtaal/unit_renderer.py: Got rid of the
	  horrible height calculation code.
	  
	  Before, VirTaal computed the heights of the various widgets in
	  the
	  editing area so that it could set the editing area to the correct
	  size.
	  
	  It turns out that one only needs to compute the and set the
	  heights of the text boxes, since they have no way of knowing that
	  one might want to display all the text in them.
	  
	  Then one simply calls size_request() on the top-most editing
	  widget
	  and presto! the correct height for the editing widget is
	  computed.
	  
	  To set the heights of the widgets, we use the generic method
	  system. We only bother setting heights on text boxes and comment
	  labels.
	  
	  Also, please note that the code for creating editor widgets has
	  been factored out into get_editor.

2008-05-21 08:55  winterstream

	* gui_tests/common.py: Added a turbo mode to speed up slow GUI
	  tests.

2008-05-21 08:54  winterstream

	* gui_tests/test_open_and_close.py: Added a test to check whether
	  VirTaal asks the user to reload the current file
	  if the current file is loaded again.

2008-05-20 16:47  winterstream

	* gui_tests/common.py, gui_tests/test_open_and_close.py: Added
	  another test and also added a standard ini file generator to
	  common.py

2008-05-20 15:54  winterstream

	* run_virtaal.py: Fixed a variable name error which broke command
	  line parameter
	  handling if main() was invoked in code in run_virtaal.py

2008-05-20 15:51  winterstream

	* gui_tests/test_open_and_close.py: The pot file which serves as
	  input to the test is no
	  longer generated by the strip_translations function.
	  
	  It's just directly specified now.

2008-05-20 15:19  winterstream

	* gui_tests/common.py, gui_tests/test_open_and_close.py: And yet
	  even more refactoring.

2008-05-20 15:16  winterstream

	* gui_tests/common.py, gui_tests/test_open_and_close.py: Some
	  further big refactorings of the test code. There's nothing really
	  new here, other than that
	  the tests are now encapsulated in classes.

2008-05-20 09:49  winterstream

	* gui_tests/common.py, gui_tests/test_open_and_close.py: Started
	  refactoring of tests.

2008-05-19 15:37  friedelwolff

	* setup.py: Restore the example of file associations, put
	  '[Registry]' heading directly above the relevant code and
	  hopefully clear things finally

2008-05-19 15:35  winterstream

	* gui_tests/test_open_and_close.py, run_virtaal.py: Removed the
	  no_config option. It's better to allow the user to specify
	  their own config file. This is also better for testing. As a
	  consequence,
	  there is now a config option, which takes the filename of a
	  config file
	  to load.
	  
	  The open_and_close test generates an ini file before it runs so
	  that
	  it will correctly demand all the user details before saving the
	  file
	  (that is, name, e-mail address and team name).

2008-05-19 15:34  winterstream

	* gui_tests/open_and_close_file.py,
	  gui_tests/test_open_and_close.py: Moved open_and_close_file.py to
	  test_open_and_close so that
	  py.test will execute the tests within the file.
	  
	  Also added code to ensure that the working directory of the
	  test is the directory in which it resides.

2008-05-19 15:33  winterstream

	* gui_tests/open_and_close_file.py, virtaal/pan_app.py: Completed
	  first dogtail GUI test and fixed a bug.
	  
	  Fixed a bug in the config options where no_config would
	  fail because config sections were not added during config
	  object creation.

2008-05-19 15:32  winterstream

	* gui_tests, gui_tests/README, gui_tests/__init__.py,
	  gui_tests/open_and_close_file.py: Added initial code for doing
	  GUI tests. This probably won't work.

2008-05-19 15:25  friedelwolff

	* setup.py: Fix error in specification of [Registry] section for
	  Innosetup

2008-05-16 15:23  winterstream

	* setup.py: Just one or two cosmetic changes.
	  
	  I mostly actually want to test whether I can successfully push
	  my git branch changes into an SVN branch and then later on I want
	  to cherry pick changes from
	  the SVN branch onto the trunk and commit that.

2008-05-15 16:09  winterstream

	* ., run_virtaal.py, virtaal/formats.py, virtaal/main_window.py,
	  virtaal/pan_app.py, virtaal/unit_editor.py, virtaal/unit_grid.py,
	  virtaal/unit_layout.py: Completely cosmetic.
	  
	  Mostly marked unused parameters by prepending them with
	  underscores.

2008-05-15 16:07  winterstream

	* ., run_virtaal.py, virtaal/formats.py: Only set the file open
	  dialog's directory, if the pan_app.settings.general["lastdir"]
	  exists.

2008-05-15 16:05  winterstream

	* ., run_virtaal.py: Changed the default logging mode to output
	  debug statements as well.

2008-05-15 16:03  winterstream

	* ., run_virtaal.py, virtaal/main_window.py, virtaal/pan_app.py:
	  Added a command line system to VirTaal so that we can fiddle
	  with runtime options in a uniform way.

2008-05-14 17:28  winterstream

	* ., virtaal/unit_grid.py: Someone should revoke my programming
	  license for life for this awful little hack. The
	  problem that existed was that if you held down CTRL+up or
	  CTRL+down, the cursor would
	  move throught the UnitGrid, leaving empty enlarged editing cells
	  behind. It happened
	  because the UnitGrid would receive and partially process keyboard
	  events before it would
	  have the chance to redraw the UnitGrid from a previous keyboard
	  event. This of course
	  happens because of the gobject.idle_add (which is ALREADY A
	  HACK!!!). One hack begets
	  another. Forgive me.

2008-05-14 17:05  winterstream

	* ., virtaal/unit_grid.py, virtaal/unit_layout.py: Fixed two bugs.
	  
	  1. After a resize, we run set_cursor on the UnitGrid to make sure
	  that the edit widget is redrawn
	  (and thus properly redrawn). We just use the path given by
	  UnitGrid.get_cursor to get the path
	  to redraw. Sometimes however, get_cursor returns None. So we just
	  don't call set_cursor when
	  we have a None path.
	  
	  2. Changes to the fuzzy status of an editing unit did not update
	  the corresponding translation unit
	  in the unit store.
	  
	  This is fixed. However, I really think it would be a good idea to
	  start looking into something
	  like pygtkmvc so that my brain damagedness can limit the brain
	  damage inflicted on VirTaal.

2008-05-08 11:38  winterstream

	* ., virtaal/main_window.py, virtaal/unit_grid.py: Fixed bug #389.
	  
	  Instead of attaching the CTRL-up and CTRL-down accelerators to
	  the accelerator
	  group of the Virtaal object (which is the top-level object of the
	  program),
	  an accelerator group is created for a UnitGrid. This group is
	  then added to the
	  main window in VirTaal.
	  
	  This group is deleted when the UnitGrid is destroyed. It seems
	  necessary to invoke
	  the destroy method explicitly for any GTK object removed from a
	  GTK container.

2008-05-08 10:37  winterstream

	* ., data/virtaal.ico, data/virtaal.png, setup.py, virtaal.ico,
	  virtaal.png: Fixed non-working win32 code in setup.py. Also fixed
	  InnoSetup so that it will
	  find the right things in the right places.
	  
	  Moved the icons to the data directory.

2008-05-08 10:36  winterstream

	* ., setup.py: Added Innosetup functionality.

2008-05-08 10:35  winterstream

	* ., setup.py: Neatened up setup.py

2008-05-08 08:43  friedelwolff

	* virtaal/main_window.py: put more code into try...except in
	  load_file()

2008-05-08 07:21  friedelwolff

	* virtaal/unit_grid.py, virtaal/unit_renderer.py: New layout for
	  RTL (right-to-left) interfaces

2008-05-07 21:19  dwaynebailey

	* setup.py: Add icon. We don't want to install everything from
	  data/ i.e. not *.in files.

2008-05-07 19:44  winterstream

	* ., setup.py: Don't do processing for py2exe or innosetup when the
	  user builds something else like bdist_wininst.

2008-05-07 19:38  winterstream

	* ., virtaal/main_window.py: With UNIX-style installs,
	  run_virtaal.py goes under $prefix/bin.
	  So the program used to look under $prefix/bin/share/virtaal and
	  $prefix/bin/data for the glade file, which failed. So it will
	  now also look under $prefix/bin/../share/virtaal.

2008-05-07 19:36  winterstream

	* ., MANIFEST.in, setup.py: MANIFEST.in is now generated from
	  setup.py.

2008-05-07 19:35  winterstream

	* ., virtaal/main_window.py: If logging can't be initialized, then
	  just ignore the error. No reason to let
	  VirTaal die.

2008-05-07 19:32  winterstream

	* ., setup.py, virtaal/main_window.py: The data files are now
	  installed to share/virtaal. In order to make virtaal
	  run from the both the source tree and when installed, it will
	  attempt to
	  load its glade file from data and from share/virtaal.

2008-05-07 19:31  winterstream

	* ., setup.py: Removed cruft which came from the translate
	  toolkit's
	  setup.py.

2008-05-07 19:29  winterstream

	* ., setup.py: Fixed a bug that got triggered because one of my
	  function was called
	  'path', whilst existing code wanted to use the os.path, which was
	  imported as 'path'.

2008-05-07 19:26  winterstream

	* ., setup.py: Added initial Win32 support from the previous setup
	  scripts.

2008-05-07 19:24  winterstream

	* ., MANIFEST.in, setup.py: Restarted setup.py with a clean slate.

2008-05-07 13:29  dwaynebailey

	* run_virtaal.py: Use environment variable VIRTAAL_PROFILE to
	  invoke profiling

2008-05-07 13:19  winterstream

	* ., source_tree_infrastructure/__init__.py: Added __init__.py to
	  source_tree_infrastructure to make it into a Python package.

2008-05-07 10:29  friedelwolff

	* virtaal/undo_buffer.py: Position the cursor at the action after
	  undoing

2008-05-07 10:28  friedelwolff

	* virtaal/undo_buffer.py: Rename buffer -> buf for consistency

2008-05-07 10:11  friedelwolff

	* setup.py: Some extra tweaks for the Innosetup script

2008-05-07 10:08  friedelwolff

	* setup.py: Use the correct icon path for the exe

2008-05-07 10:07  friedelwolff

	* setup.py: Package subpackages

2008-05-07 09:36  friedelwolff

	* data/virtaal.glade, virtaal/main_window.py: Remove unused GUI
	  elements

2008-05-07 08:47  winterstream

	* ., run_virtaal.py, source_tree_infrastructure,
	  source_tree_infrastructure/lsprofcalltree.py: Added profiling
	  support. A file called virtaal.kgrind is produced
	  which can be inspected with KCacheGrind.

2008-05-06 18:49  friedelwolff

	* virtaal/unit_editor.py: Replace old (removed) ._place_cursor()
	  with .do_start_editing() which will also focus the correct
	  text_view

2008-05-06 18:46  friedelwolff

	* virtaal/unit_editor.py: Set the spell checker language as
	  received in the 'language' parameter

2008-05-06 18:44  friedelwolff

	* virtaal/unit_editor.py: Make sure we can hanle 'None' text being
	  passed to the pango_layout

2008-05-06 18:29  friedelwolff

	* virtaal/main_window.py: Change the logic to test if we need to
	  update the header. Previously, if we 'Save as...' we would not
	  update the header

2008-05-06 18:23  friedelwolff

	* virtaal/main_window.py: Further refinements and bug fixes around
	  unsaved files, window title, etc.

2008-05-06 17:44  friedelwolff

	* virtaal/widgets/label_expander.py: Add license block

2008-05-06 16:57  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_layout.py,
	  virtaal/unit_renderer.py: Register when a file is modified.

2008-05-06 16:56  winterstream

	* ., virtaal/unit_editor.py: Removed unused bit of code.

2008-05-06 16:55  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_layout.py: Removed unused
	  code and moved a tiny bit of code around to neaten things up.

2008-05-06 16:53  winterstream

	* ., virtaal/unit_editor.py: We don't need to set the sizes of
	  widgets when they are created, since
	  this is now done in
	  unit_renderer.py:UnitRenderer.do_start_editing.

2008-05-06 15:19  winterstream

	* ., virtaal/pan_app.py, virtaal/unit_editor.py,
	  virtaal/unit_layout.py: Specialized source and target layouts.
	  This allows us to treat source and target text boxes
	  differently. The most visible change now is that we tell gtkspell
	  to use different languages
	  for the source and target text boxes and that we don't bother
	  about adding undo functionality
	  to the source text boxes.

2008-05-06 14:54  winterstream

	* ., virtaal/undo_buffer.py, virtaal/unit_editor.py: Modified the
	  undo module so that it adds undo functionality to an existing
	  gtk.TextBuffer
	  instead of creating a new TextBuffer. gtkspell also changes text
	  buffers and if one changes
	  a text buffer afterwards, gtkspell crashes.

2008-05-06 14:43  winterstream

	* ., virtaal/markup.py, virtaal/unit_editor.py: Improved the
	  handling of escape characters. It's not perfect yet, but it
	  should be quite
	  usable now with some good visual formatting.

2008-05-06 14:42  winterstream

	* ., virtaal/unit_grid.py: Forgot to import _ (the translation
	  function).

2008-05-06 13:05  friedelwolff

	* virtaal/main_window.py: Refactor out the 'confirm unsaved'
	  dialogs and modified window title

2008-05-06 11:48  dwaynebailey

	* data/virtaal.glade, virtaal/main_window.py: Add help menu entries
	  for:
	  * Online help
	  * Reporting bugs

2008-05-06 11:45  dwaynebailey

	* maketranslations: Correct paths

2008-05-06 10:33  winterstream

	* ., virtaal/modes.py: Fixed an accidental rename of globals() to
	  pan_app() (this makes reference to
	  the Python built-in called globals()).

2008-05-06 10:32  winterstream

	* ., virtaal/document.py, virtaal/formats.py, virtaal/globals.py,
	  virtaal/main_window.py, virtaal/modes.py, virtaal/pan_app.py,
	  virtaal/tips.py, virtaal/undo_buffer.py, virtaal/unit_editor.py,
	  virtaal/unit_layout.py: Renamed globals.py to pan_app.py and
	  updated all imports from globals to pan_app

2008-05-06 10:09  winterstream

	* ., virtaal/unit_editor.py: When starting to edit a translation
	  unit, set the input focus to the
	  first translation target textbox.

2008-05-06 09:53  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_renderer.py: Fixed the
	  simple undo support previously included.

2008-05-06 09:17  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_layout.py,
	  virtaal/unit_renderer.py: Followed Friedel's suggestion that the
	  editor widget only be created once
	  for every translation unit.
	  
	  Once created, (in unit_renderer.py:do_start_editing), the editor
	  widget
	  is cached under the private variable __editor of its
	  corresponding
	  translation unit.
	  
	  The next time do_start_editing is called, we simply re-use the
	  widget
	  in __editor and just reset the heights of its sub-widgets so that
	  it
	  will display correctly.
	  
	  In order to enumerate the sub-widgets to set their sizes, it was
	  necessary
	  for each layout object to keep references to its children and so
	  this
	  functionality was also added.

2008-05-05 13:07  friedelwolff

	* virtaal/about.py: Fix mail and URL handlers in about box

2008-05-05 12:37  winterstream

	* ., virtaal/unit_editor.py: Encapsulated the widget <-> layout
	  mapping by defining funcitons get_widget and get_layout.

2008-05-05 12:36  winterstream

	* ., virtaal/main_window.py: Enabled file logging for virtaal.

2008-05-05 08:10  winterstream

	* ., virtaal/document.py, virtaal/unit_editor.py,
	  virtaal/unit_grid.py: Replaced print statements with calls to
	  Python's logging module.

2008-05-05 08:02  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_layout.py: Made source
	  text boxes non-editable. For the moment, comment boxes will
	  also be non-editable (although this does not matter, since we
	  still
	  don't show text boxes when the user clicks on a comment).

2008-05-02 07:12  friedelwolff

	* virtaal/document.py: Optionally accept a store to avoid having to
	  recreate an existing store manufactured elsewhere

2008-05-02 07:11  friedelwolff

	* virtaal/support/bijection.py: Correct copyright header

2008-04-30 16:46  dwaynebailey

	* setup.py: supported_types only needed for win32 crashes on Linux
	  adjust location of data/ files

2008-04-30 16:18  dwaynebailey

	* virtaal/document.py: s/Globals/globals/

2008-04-30 16:16  dwaynebailey

	* virtaal/main_window.py: Need os for localisation guide launching

2008-04-30 16:09  dwaynebailey

	* data/virtaal.glade, virtaal/main_window.py: Add help entry for
	  localisation guide

2008-04-30 15:41  dwaynebailey

	* po/POTFILES.in: Update translatable files.

2008-04-30 15:36  winterstream

	* ., virtaal/unit_grid.py: Fixed bug #374

2008-04-30 15:30  dwaynebailey

	* virtaal/formats.py: Use _ from globals

2008-04-30 15:21  dwaynebailey

	* virtaal/document.py: Mark strings for translation

2008-04-30 15:12  dwaynebailey

	* virtaal/tips.py: Use _ from Globals for translation

2008-04-30 14:44  winterstream

	* ., run_virtaal.py: Minor fix required with code merge.

2008-04-30 14:41  winterstream

	* ., data/virtaal.glade, virtaal/data: Further changes required to
	  bring sync my repo with the SVN repo.

2008-04-30 14:38  winterstream

	* ., virtaal/formats.py, virtaal/unit_grid.py: Fixed some problems
	  that cropped up during merging in of code from SVN.

2008-04-30 14:36  winterstream

	* ., setup.py: Fixed a stupid little bug in the setup file.

2008-04-30 14:34  winterstream

	* ., virtaal/data, virtaal/data/virtaal.glade, virtaal/document.py,
	  virtaal/main_window.py, virtaal/profiler.py,
	  virtaal/support/set_enumerator.py, virtaal/unit_grid.py: This is
	  a big commit. The changes are (mostly) interdependent, but can be
	  described
	  individually.
	  
	  1. Split the cursor functionality in
	  virtaal.support.set_enumerator into its own
	  class. The motivation is that it makes the code easier to
	  understand; as a nice
	  side effect, numerous cursors into a single UnionSetEnumerator
	  can now be held.
	  
	  2. Added a mode box to the status bar. This required a minor
	  change in virtaal.glade.
	  It also necessitated the addition of a widget called ModeBox.
	  This widget is
	  responsible for showing which mode is currently selected and for
	  generating
	  appropriate GObject signals when the user selects a signal.
	  2.1. Added mode switching code to virtaal.document. This code
	  works along with the
	  code described above.
	  
	  3. Various convenience methods added to virtaal.unit_grid; these
	  make it less
	  confusing to switch between the treeview paths and translation
	  store indices.
	  3.1. As a consequence, the keyboard and mouse navigation code was
	  improved. These
	  improvements are also due to the improvements in the mode
	  selection code.

2008-04-30 14:31  winterstream

	* ., virtaal/support/bijection.py,
	  virtaal/support/set_enumerator.py, virtaal/unit_grid.py:
	  Previously, the mode's cursor was incorrectly updated if the user
	  clicked around
	  in the window to move from one translation unit to the next. This
	  should be fixed now.
	  
	  The nagivation code was made tighter and unused code in the
	  TreeView was removed.

2008-04-30 14:30  winterstream

	* ., virtaal/unit_grid.py: Just a bit of code movement and a slight
	  change in how _activate_editing_path
	  obtains the current and next indices for scrolling.
	  
	  I just realized that one needs to be able to tell the model that
	  we're switching
	  the current index; this happens when the user clicks on another
	  cell using the
	  mouse pointer.

2008-04-30 14:28  winterstream

	* ., virtaal/unit_grid.py: Hooked the mode navigation system into
	  the normal editing code.

2008-04-30 14:27  winterstream

	* ., virtaal/main_window.py, virtaal/support/set_enumerator.py,
	  virtaal/unit_grid.py: Coupled the keyboard navigation to mode
	  system.

2008-04-30 14:26  winterstream

	* ., virtaal/main_window.py: Made the accelerator system more
	  general (and prettier)

2008-04-30 14:24  winterstream

	* ., setup.py, virtaal/main_window.py, virtaal/support/partial.py,
	  virtaal/support/simplegeneric.py, virtaal/support/sorted_set.py,
	  virtaal/unit_editor.py, virtaal/unit_grid.py,
	  virtaal/widgets/label_expander.py: Various cosmetic changes. Some
	  of the changes were recommended by pylint.

2008-04-30 14:22  winterstream

	* ., run_virtaal.py, virtaal/EntryDialog.py, virtaal/Globals.py,
	  virtaal/MainWindow.py, virtaal/Profiler.py, virtaal/document.py,
	  virtaal/globals.py, virtaal/main_window.py, virtaal/modes.py,
	  virtaal/profiler.py, virtaal/undo_buffer.py,
	  virtaal/unit_editor.py, virtaal/unit_grid.py,
	  virtaal/unit_layout.py, virtaal/unit_renderer.py,
	  virtaal/unitgrid.py, virtaal/unitrenderer.py,
	  virtaal/widgets/entry_dialog.py: Renamed some files to follow the
	  Python naming convention. In doing so
	  it was necessary to update imports in files.
	  
	  Also move EntryDialog to the widgets package.

2008-04-30 14:19  winterstream

	* ., virtaal/label_expander.py, virtaal/partial.py,
	  virtaal/simplegeneric.py, virtaal/support/partial.py,
	  virtaal/support/simplegeneric.py, virtaal/undo_buffer.py,
	  virtaal/unit_editor.py, virtaal/unit_layout.py, virtaal/widgets,
	  virtaal/widgets/__init__.py, virtaal/widgets/label_expander.py:
	  Slight re-organization of the source tree.

2008-04-30 14:17  winterstream

	* ., virtaal/MainWindow.py, virtaal/document.py, virtaal/modes.py,
	  virtaal/support, virtaal/support/__init__.py,
	  virtaal/support/set_enumerator.py, virtaal/support/sorted_set.py,
	  virtaal/unitgrid.py: Fairly big changes to the mode system.
	  
	  We want to be able to use the toolkit's stats system to determine
	  which translation units should be editable in the various modes
	  that are envisaged for VirTaal. For example, during Quick
	  Translate
	  mode, the user should be able to quickly move from one
	  untranslated
	  or fuzzy translation unit to the next. We use the toolkit's
	  translation
	  stats system to tell us which of the units fall into this
	  category.
	  
	  The toolkit's stat system returns arrays of indices into a
	  translation
	  unit store. In fact, it returns a dictionary with arrays, where
	  the
	  arrays are indexed (in the dictionary) according to the property
	  of
	  the units which they point to. For example, we might have
	  ("fuzzy", [1, 2, 3]) in the dictionary, which indicates that
	  units at indices 1, 2 and 3 are fuzzy.
	  
	  Sometimes we want to be able to look at composite properties;
	  thus, we
	  are interested in two or more arrays at one time. For this
	  reason, the
	  UnionSetEnumerator was implemented. It keeps the union of various
	  SortedSets and updates itself whenever one of its sub-SortedSets
	  is
	  updated (via the GObject signal mechanism).
	  
	  Each mode is currently an extension of the UnionSetEnumerator.
	  The methods
	  next() and prev() should be used by the keyboard navigation
	  system to
	  discover which translation unit to move to.

2008-04-30 14:16  winterstream

	* ., virtaal/MainWindow.py, virtaal/document.py, virtaal/modes.py,
	  virtaal/unitgrid.py: This contains the first bit of code which
	  implements the mode mechanism.
	  
	  Currently, a mode object simply provides an iterator over all
	  unit store
	  indices which satisfy certian criteria. For example, objects of
	  the type
	  QuickTranslateMode will supply iterators over all indices of
	  units which
	  are fuzzy or not translated.

2008-04-30 14:14  winterstream

	* ., virtaal/MainWindow.py, virtaal/unitgrid.py,
	  virtaal/unitrenderer.py: Removal of old code.
	  
	  Removed the modified flag. This is not currently handled. It
	  should be stored in
	  the Document class.

2008-04-30 14:13  winterstream

	* ., virtaal/unitgrid.py: Removed unused columns in the TreeView
	  model.

2008-04-30 14:12  winterstream

	* ., virtaal/MainWindow.py, virtaal/document.py,
	  virtaal/unitgrid.py, virtaal/unitrenderer.py: Factored out code
	  which is related to a currently edited document but which is
	  independent of GUI toolkit specifics.
	  
	  Thus, a new class called Document was created.

2008-04-30 14:03  friedelwolff

	* setup.py: Add file associations during innosetup build

2008-04-30 14:02  friedelwolff

	* setup.py: Add an icon in the start menu, enable optimisation and
	  add an icon for the final .exe

2008-04-30 13:59  friedelwolff

	* run_virtaal.py: Obtain the executable path meaningfully, taking
	  py2exe into account

2008-04-30 13:58  friedelwolff

	* virtaal/MainWindow.py: Receive a base path from where the data is
	  obtained

2008-04-30 13:39  friedelwolff

	* data, virtaal/data: Move data directory out of the source
	  directory. This makes some packaging easier.

2008-04-30 13:34  friedelwolff

	* virtaal/MainWindow.py: Reflow some text and fix whitespace

2008-04-29 21:04  friedelwolff

	* virtaal/formats.py: Remove dead code. Reflow a bit

2008-04-29 20:58  friedelwolff

	* virtaal/MainWindow.py: Postpone state changes until after we know
	  we loaded the file successfully

2008-04-29 20:50  friedelwolff

	* virtaal/unitgrid.py: Raise an exception if there are no
	  translatable units

2008-04-29 20:49  friedelwolff

	* virtaal/MainWindow.py: Handle all exceptions during file loading,
	  including ones originating from the unit grid

2008-04-29 20:47  friedelwolff

	* virtaal/MainWindow.py, virtaal/formats.py: Move format handling
	  out of main window

2008-04-29 17:36  friedelwolff

	* setup.py: Use virtaal.ico for the Windows setup file

2008-04-29 17:35  friedelwolff

	* setup.py: Several bugfixes to make innosetup run again

2008-04-29 17:34  friedelwolff

	* virtaal.ico: Add icon in .ico format for Windows

2008-04-29 15:56  dwaynebailey

	* virtaal/MainWindow.py, virtaal/about.py,
	  virtaal/data/virtaal.glade: Add an about screen

2008-04-29 13:03  friedelwolff

	* setup.py: Remove start menu entries for documentation and the
	  toolkit prompt (left over from toolkit setup.py)

2008-04-29 07:52  friedelwolff

	* virtaal/Profiler.py: Update license block

2008-04-29 07:39  friedelwolff

	* virtaal/MainWindow.py: Mark some strings for translation

2008-04-29 07:39  friedelwolff

	* virtaal/undo_buffer.py: Typo in copyright header

2008-04-29 07:26  dwaynebailey

	* virtaal/data/virtaal.glade: Mark translatable items.

2008-04-28 07:54  friedelwolff

	* virtaal/tips.py: +Copyright header

2008-04-24 14:00  dwaynebailey

	* virtaal/MainWindow.py: Add missing supported files to the file
	  chooser.
	  Allow selection of "All Supported Files"
	  Include mimetypes to allow mimetype based selection.

2008-04-23 16:22  friedelwolff

	* virtaal/unitgrid.py: Solve the bug with positioning of the
	  editing area by queueing .set_cursor() with gobject.idle_add()

2008-04-23 11:50  friedelwolff

	* virtaal/unit_editor.py: Remove unnecessary import

2008-04-23 11:32  friedelwolff

	* setup.py: Use the version specified in __version__ for building
	  virtaal

2008-04-23 09:40  winterstream

	* ., virtaal/unitgrid.py: The the user pushed advanced to the next
	  editing unit when then the he was
	  on the last editing unit, the editing unit would disappear and
	  the strange
	  behaviour would ensue.
	  
	  This is now fixed. When the user is on the last editing unit and
	  he advances,
	  nothing will happen.

2008-04-23 09:39  winterstream

	* ., virtaal/label_expander.py: Fixed ellipsizing of comment labels
	  so that the ellipses appear at the end.
	  Also fixed the comment labels so that newlines don't appear as
	  strange
	  characters.

2008-04-23 09:38  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_layout.py: The Enter key
	  now moves from one text view to the next when editing a
	  translation unit,
	  unless one is in the last text box, in which case it advances to
	  the next translation
	  unit.
	  
	  The cursor is now also placed at a sensible editing positiong
	  when advancing to a text
	  box.
	  
	  Finally, the fuzzy checkbox gained a keyboard shortcut.

2008-04-23 09:37  winterstream

	* ., virtaal/unit_editor.py, virtaal/unitgrid.py,
	  virtaal/unitrenderer.py: Advance between to the next cell when
	  the Enter key is pushed on the last
	  target text entry in an editing cell.

2008-04-23 09:36  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_layout.py: Added initial
	  Enter key processing. When you push Enter, you should advance to
	  a next
	  text view.

2008-04-23 09:35  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_layout.py: Added a
	  context box between the source and target texts. Also, comments
	  and
	  context boxes are given a height of 0 when they don't contain
	  text.

2008-04-23 09:34  winterstream

	* ., setup.py, virtaal/Globals.py, virtaal/partial.py,
	  virtaal/undo_buffer.py, virtaal/unit_editor.py: Cosmetic changes
	  suggested by pylint

2008-04-23 09:33  winterstream

	* ., virtaal/label_expander.py, virtaal/unit_editor.py,
	  virtaal/unit_layout.py: Added checkboxes to the layout code.

2008-04-23 09:32  winterstream

	* ., virtaal/label_expander.py, virtaal/partial.py,
	  virtaal/unit_editor.py, virtaal/unit_layout.py: 1. Fixed a big
	  height calculation bug
	  2. Added more functional programming utilies
	  3. Added the initial widget for displaying comments
	  4. Improved height calculations
	  5. Some general refactoring.

2008-04-23 09:31  winterstream

	* ., virtaal/undo_buffer.py, virtaal/unit_editor.py,
	  virtaal/unit_layout.py: Replaced some lambdas with partial
	  objects. Modified some of the layout code
	  which is still not behaving as expected.

2008-04-23 09:30  winterstream

	* ., virtaal/unit_layout.py: Added initial programmer and
	  translator comment boxes.

2008-04-23 09:29  winterstream

	* ., virtaal/partial.py, virtaal/unit_editor.py,
	  virtaal/unit_layout.py, virtaal/unitrenderer.py: Fixed the text
	  boxes to store results when they are modified (this was broken by
	  the
	  previous few commits).
	  
	  Also added a partial function application module to ease some of
	  the GUI programming.

2008-04-23 09:28  winterstream

	* ., virtaal/unit_editor.py, virtaal/unit_layout.py,
	  virtaal/unitrenderer.py: Moved geometry calculation code to
	  unit_editor.py.
	  
	  The reasoning is that this code is intimitely linked with GTK
	  implementation details.
	  Thus, it should reside where all this code resides.

2008-04-23 09:27  winterstream

	* ., virtaal/simplegeneric.py, virtaal/unit_editor.py,
	  virtaal/unit_layout.py, virtaal/unitgrid.py,
	  virtaal/unitrenderer.py: The layouts of translation unit editors
	  are now specified by structures which are
	  built when the translation units are loaded.
	  
	  The editor implements methods for structures which construct GTK
	  objects.
	  
	  This is a work in progress and this commit will be followed by
	  commits which will
	  fix what is currently broken.

2008-04-18 14:55  friedelwolff

	* virtaal/unitgrid.py: Set unitgrid to always be LTR to ensure
	  correct alignment of the English source. [Contributed by Khaled
	  Hosny]

2008-04-17 21:40  dwaynebailey

	* setup.py, virtaal/data/virtaal.desktop.in: Add and install
	  application icon

2008-04-17 21:29  dwaynebailey

	* virtaal.png: Initial icon

2008-04-17 18:56  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml.in: Add Trados tag mimetype

2008-04-17 18:29  dwaynebailey

	* virtaal/data: Exclude .desktop and .xml

2008-04-17 18:27  dwaynebailey

	* po: Ignore the .intl* cache file

2008-04-17 10:55  winterstream

	* ., virtaal/unit_editor.py, virtaal/unitrenderer.py: Accidentally
	  broke the gtkspell functionality in the previous commit.
	  
	  This caused the editor not to be displayed. It should be fixed
	  now.

2008-04-17 10:54  winterstream

	* ., virtaal/unit_editor.py, virtaal/unitrenderer.py: Renamed
	  CellUnitView to UnitRenderer

2008-04-17 10:48  winterstream

	* ., virtaal/unit_editor.py, virtaal/unitrenderer.py: Moved
	  CellUnitView from unitrenderer.py into unit_editor.py.

2008-04-17 09:37  winterstream

	* ., virtaal/EntryDialog.py, virtaal/MainWindow.py,
	  virtaal/unitgrid.py, virtaal/unitrenderer.py: Several stylistic
	  changes, most of which were recommended by pylint. Unused
	  variables
	  are prefixed by _ (the underscore).

2008-04-17 09:15  dwaynebailey

	* maketranslations: Add caching

2008-04-17 08:32  friedelwolff

	* virtaal/README: +References

2008-04-17 08:31  friedelwolff

	* virtaal/README: +Introduction

2008-04-17 08:22  friedelwolff

	* virtaal/unitgrid.py: Remove commented debug statements

2008-04-17 08:19  friedelwolff

	* virtaal/undo_buffer.py: Remove some unnecessary whitespace

2008-04-16 15:21  dwaynebailey

	* po/README: Quick instructions for creating translations.

2008-04-16 15:19  dwaynebailey

	* po/Makevars: Problem processing XGETTEXT_OPTIONS so disabling

2008-04-16 15:10  dwaynebailey

	* xgettext.sh: Remove old translation extraction script

2008-04-16 15:05  dwaynebailey

	* maketranslations, updatetrans: Better name

2008-04-16 15:04  dwaynebailey

	* po/POTFILES.in: Needed for .po creation

2008-04-16 15:02  dwaynebailey

	* po/Makevars, updatetrans, virtaal/data/virtaal-mimetype.xml,
	  virtaal/data/virtaal-mimetype.xml.in,
	  virtaal/data/virtaal.desktop, virtaal/data/virtaal.desktop.in:
	  Convert translation extraction to use intltools

2008-04-16 14:45  winterstream

	* ., virtaal/data/virtaal.glade: Modified the main window title to
	  be translatable.

2008-04-15 15:36  friedelwolff

	* virtaal/EntryDialog.py, virtaal/undo_buffer.py: Provide some
	  docstrings

2008-04-15 14:02  winterstream

	* ., virtaal/MainWindow.py, virtaal/undo_buffer.py: Switched from
	  using gtk.TextBuffer marks to text offsets. The marks are
	  a bad way to store text positions across edits.

2008-04-15 10:04  friedelwolff

	* virtaal/EntryDialog.py, virtaal/undo_buffer.py: Add and update
	  some copyright headers

2008-04-15 09:59  friedelwolff

	* virtaal/Globals.py: Properly read and write undo configuration

2008-04-15 09:59  friedelwolff

	* virtaal/Globals.py: Remove old garbage left over

2008-04-15 09:51  friedelwolff

	* virtaal/Globals.py, virtaal/markup.py, virtaal/unitgrid.py: Add
	  and update some copyright headers

2008-04-15 09:13  winterstream

	* ., virtaal/Globals.py, virtaal/undo_buffer.py,
	  virtaal/unitrenderer.py: Changed the undo system to use a bounded
	  queue to bound the number of undos.
	  
	  The number of undo steps is also stored in the settings system of
	  VirTaal.
	  
	  Also removed the weakref associations in unitrenderer.py. With
	  Python, one
	  can just add arbitrary properties to almost any object, so why
	  bother with
	  association dictionaries?

2008-04-15 09:12  winterstream

	* ., virtaal/MainWindow.py, virtaal/undo_buffer.py,
	  virtaal/unitrenderer.py: Completed preliminary undo
	  functionality.

2008-04-15 09:11  winterstream

	* ., virtaal/undo_buffer.py, virtaal/unitrenderer.py: The undo
	  buffer should be filled now. There are still plenty of bugs
	  to work out.

2008-04-15 09:10  winterstream

	* ., virtaal/undo_buffer.py, virtaal/unitgrid.py,
	  virtaal/unitrenderer.py: Initial undo functionality. Not yet
	  tested.

2008-04-15 09:07  dwaynebailey

	* virtaal/Globals.py: Update config directory.

2008-04-15 07:38  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Cosmetic fix. Put spaces
	  between each mimetype definition to make it easier to read.

2008-04-15 07:31  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Add XLIFF alias

2008-04-15 07:29  dwaynebailey

	* virtaal/data/virtaal.desktop: Change application/x-wordfast to
	  text/x-wordfast

2008-04-15 06:48  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Align 'comments' with our
	  defined naming convention

2008-04-14 15:54  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Update .ini definition

2008-04-14 15:51  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Add match for UTF-16 files.

2008-04-14 15:48  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Redefine Gettext .pot and add
	  Javascript error message .msg files

2008-04-14 15:46  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Add a header with various
	  conventions

2008-04-14 11:42  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Add proper sub-classes and
	  change many application/* to text/*

2008-04-14 11:41  dwaynebailey

	* virtaal/data/virtaal-mimetype.xml: Add Windows RC and Tcl .msg
	  catalogs

2008-04-14 11:28  friedelwolff

	* virtaal/unitgrid.py: Use local .update_for_save() instead of
	  delegating immediately to the editor

2008-04-14 11:02  friedelwolff

	* virtaal/MainWindow.py: Fix some minor issues with dialog parents

2008-04-14 10:26  winterstream

	* ., virtaal/unitgrid.py, virtaal/unitrenderer.py: When the window
	  was resized, then any changes in the current editor window would
	  be lost.
	  
	  This has been fixed now.

2008-04-14 10:22  friedelwolff

	* virtaal/MainWindow.py: Handle one file specified on the command
	  line

2008-04-14 10:11  winterstream

	* ., virtaal/MainWindow.py, virtaal/TODO: Added required changes to
	  the TODO file.

2008-04-12 15:08  dwaynebailey

	* setup.py, virtaal/data/virtaal-mimetype.xml: Add mimetypes

2008-04-12 14:07  dwaynebailey

	* setup.py, virtaal.desktop, virtaal/data/virtaal.desktop: Move
	  .desktop file into the data/ dir

2008-04-12 13:59  dwaynebailey

	* virtaal.desktop: Update MimeTypes and GenericName

2008-04-12 12:42  dwaynebailey

	* setup.py: Install the .desktop file and properly install the
	  .glade file

2008-04-12 08:36  dwaynebailey

	* virtaal.desktop: Add Categories from
	  http://standards.freedesktop.org/menu-spec/menu-spec-latest.html

2008-04-11 16:03  dwaynebailey

	* virtaal.desktop: Add .desktop entry. Still needs to be treated as
	  localizable but
	  fully functional as it stands.

2008-04-11 14:53  winterstream

	* ., xgettext.sh: Added Dwayne's changes.

2008-04-11 14:49  winterstream

	* ., virtaal/MainWindow.py, virtaal/unitgrid.py: Minor hacks to
	  improve the drawing artefacts. Problems still occur with the
	  drawing of the edit cells at the bottom of the document.

2008-04-11 09:58  winterstream

	* ., virtaal/unitgrid.py: Fixed the problem where SHIFT+TAB broke
	  the editing widget.

2008-04-11 09:49  winterstream

	* ., virtaal/unitgrid.py: Added a preliminary partial fix for the
	  problem where the editor is misplaced when
	  a text cell is selected with the mouse.

2008-04-11 09:02  winterstream

	* ., virtaal/MainWindow.py, virtaal/data/virtaal.glade,
	  virtaal/gui.py, virtaal/i18n.py, virtaal/location.py: Removed my
	  R6 mess.

2008-04-07 15:00  dwaynebailey

	* po/virtaal.pot, xgettext.sh: Also extract text form Glade files

2008-04-07 13:12  dwaynebailey

	* setup.py: Link to correct download package

2008-04-07 13:01  dwaynebailey

	* po, po/virtaal.pot: Add first version of virtaal POT file

2008-04-07 12:59  dwaynebailey

	* xgettext.sh: Make executable

2008-04-07 12:53  dwaynebailey

	* xgettext.sh: Add script for extracting translations from source.

2008-04-07 11:57  dwaynebailey

	* run_virtaal.py: Add copyright header
	  Give this a #! to allow execution

2008-04-07 11:51  dwaynebailey

	* setup.py: Correct some setup.py data

2008-04-07 09:36  winterstream

	* virtaal/MainWindow.py, virtaal/data/virtaal.glade,
	  virtaal/gui.py, virtaal/i18n.py, virtaal/location.py: Virtaal is
	  in the process of being reorganized. It's messy right now.
	  Please check back later :D.

2008-04-06 20:30  dwaynebailey

	* virtaal/EntryDialog.py, virtaal/Globals.py,
	  virtaal/MainWindow.py, virtaal/Profiler.py, virtaal/__init__.py,
	  virtaal/__version__.py, virtaal/data/virtaal.glade,
	  virtaal/markup.py, virtaal/tips.py, virtaal/unitgrid.py,
	  virtaal/unitrenderer.py: Remove executable bits

2008-04-06 20:27  dwaynebailey

	* virtaal/README, virtaal/TODO: Remove executable bit

2008-04-04 15:42  dwaynebailey

	* README: README's aren't executable

2008-04-04 15:31  winterstream

	* README, run_virtaal.py, setup.py, virtaal,
	  virtaal/EntryDialog.py, virtaal/Globals.py,
	  virtaal/MainWindow.py, virtaal/Profiler.py, virtaal/README,
	  virtaal/TODO, virtaal/__init__.py, virtaal/__version__.py,
	  virtaal/data, virtaal/data/virtaal.glade, virtaal/markup.py,
	  virtaal/tips.py, virtaal/unitgrid.py, virtaal/unitrenderer.py:
	  The initial data for virtaal

2008-04-04 15:13  winterstream

	* .: The initial checkin of virtaal.

